%define name		x2goagent
%define version		3.3.0
%define	srcversion	3.3.0-3
%define release		%mkrel 1
%define develname	%{name}-devel


Summary:	the x2go user agent
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}_%{srcversion}.orig.tar.gz
Source1:	nxagent-3.2.0-5.tar.bz2
Source2:	nxauth-3.2.0-1.tar.bz2
Source3:	nxcomp-3.2.0-7.tar.bz2
Source4:	nxcompext-3.2.0-1.tar.bz2
Source5:	nxcompshad-3.2.0-3.tar.bz2
Source6:	nxproxy-3.2.0-1.tar.bz2
Source7:	nxssh-3.2.0-1.tar.bz2
Source8:	nxwin-3.2.0-3.tar.bz2
Source9:	nx-X11-3.2.0-1.tar.bz2
Patch0:		%{name}_%{version}-3-1.diff.gz
License:	GPL
Group:		System/Servers
URL:		http://x2go.berlios.de
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	libnxX11_0 = 3.2.0
BuildRequires:	nxagent = 3.2.0
BuildRequires:	nxproxy = 3.2.0
BuildRequires:	nxssh = 3.2.0
BuildRequires:	libxcomp3 = 3.2.0
BuildRequires:	libxcompext3 = 3.2.0

Requires:	fontconfig x11-proto-devel libmesaglu1-devel libmesagl1-devel

Obsoletes:	%name %version-%release

%description
the x2go user agent

%package -n %develname
Summary:	Library and header file needed for x2agent development
Group:		Development/C
Requires:	%{name} = %{version}

%description -n	%{develname}
Library and header file needed for x2agent development

%prep
%setup -q -c -a 1 -a 2 -a 3 -a 4 -a 5 -a 6 -a 7 -a 8 -a 9 -n %{name}-%{srcversion}
%patch0

%build
cd %{name}-%{srcversion}
make World

%install
rm -rf %{buildroot}
cd %{name}-%{srcversion}
make DESTDIR=%{buildroot} install
rm -f %{buildroot}%_sysconfdir/fonts/fonts.conf
rm -f %{buildroot}%_sysconfdir/fonts/fonts.dtd

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,0755)
%_sysconfdir/X11/xkb/compiled
%_sysconfdir/X11/xserver/SecurityPolicy
%_prefix/X11R6/bin/*
%_prefix/X11R6/include/GL/*
%_prefix/X11R6/include/X11/*.h
%_prefix/X11R6/include/X11/Xcursor/Xcursor.h
%_prefix/X11R6/include/X11/SM/*.h
%_prefix/X11R6/include/X11/ICE/*
%_prefix/X11R6/include/X11/Xaw/*
%_prefix/X11R6/include/X11/Xft/*
%_prefix/X11R6/include/X11/Xmu/*
%_prefix/X11R6/include/X11/bitmaps/*
%_prefix/X11R6/include/X11/extensions/*
%_prefix/X11R6/include/X11/fonts/*
%_prefix/X11R6/include/expat.h
%_prefix/X11R6/include/fontconfig/*
%_prefix/X11R6/include/freetype2/freetype/cache/*
%_prefix/X11R6/include/freetype2/freetype/config/*
%_prefix/X11R6/include/freetype2/freetype/*.h
%_prefix/X11R6/include/freetype2/freetype/internal/*.h
%_prefix/X11R6/include/freetype2/freetype/internal/services/*
%_prefix/X11R6/include/ft2build.h
%_prefix/X11R6/lib/X11/XErrorDB
%_prefix/X11R6/lib/X11/XKeysymDB
%_prefix/X11R6/lib/X11/Xcms.txt
%_prefix/X11R6/lib/X11/config/*
%_prefix/X11R6/lib/X11/locale/lib/common/*
%_prefix/X11R6/lib/X11/xkb
%_prefix/X11R6/lib/X11/xserver
%_prefix/X11R6/lib/lib*
%_prefix/X11R6/lib/pkgconfig/*

%files -n %develname
%defattr(-,root,root,0755)
%dir %_includedir/GL
%_includedir/GL/*.h

%changelog
* Wed Feb 04 2009 Oliver Burger <rpm@mandrivauser.de> 3.3.0-1mud2009.0
- new version 3.3.0-3-1

* Mon Dec 08 2008 Oliver Burger <rpm@mandrivauser.de> 3.2.0-1mud2009.0
- new version 3.2.0
- rebuild for 2009.0

* Wed Jul 30 2008 Oliver Burger <rpm@mandrivauser.de> 3.1.0-4mud2008.1
- rebuilt against new nx

* Mon Jul 21 2008 Oliver Burger <rpm@mandrivauser.de> 3.1.0-3mud2008.1
- cleaned up conflicts with mesa-packages

* Fri Jul 18 2008 Oliver Burger <rpm@mandrivauser.de> 3.1.0-2mud2008.1
- soved conflict with fontconfig

* Sat Jun 07 2008 Oliver Burger <rpm@mandrivauser.de> 3.1.0-1mud2008.1
- initial package for Mandrivalinux
